<?php

class m130926_092058_gate_short_name extends MyDbMigration
{
	public function up()
	{
		if ($this->dbConnection->schema->getTable('gatetable')->getColumn('short_name') == null)
			$this->addColumn('gatetable', 'short_name', 'string');
	}

	public function down()
	{
		if ($this->dbConnection->schema->getTable('gatetable')->getColumn('short_name') != null)
			$this->dropColumn('gatetable', 'short_name');
		
		return true;
	}

	/*
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
	}

	public function safeDown()
	{
	}
	*/
}